Get Region Infra Policies
Get infra policies for a region.
Retrieves a paginated list of infra policies for a specific region.
Request
URI
GET
https://{api_host}/cloudapi/v1/regions/{regionUrn}/infraPolicies
COPY
Path Parameters
string
regionUrn
Required
The URN of the region.
Query Parameters
integer
page
Required
Constraints:
minimum: 1
default: 1
Page to fetch, zero offset.
integer
pageSize
Required
Constraints:
minimum: 0
maximum: 128
default: 25
Results per page to fetch.
Responses
200
OK
Returns
InfraPolicies
of type(s)
application/json;version=9.1.0
This response body class contains all of the following:
Page ,
InlineInfraPolicies1
{
"resultTotal": 0,
"pageCount": 0,
"page": 0,
"pageSize": 0,
"associations": [
{
"entityId": "string",
"associationId": "string"
}
],
"values": [
{
"id": "string",
"name": "string",
"description": "string",
"vcComputePolicyName": "string",
"isMandatory": false,
"policyRule": {
"operator": "string",
"rules": [
{
"operator": "string",
"rules": [
"PolicyRule Object"
],
"workloadPolicyRule": {
"guestOsRule": {
"operator": "string",
"value": "string"
},
"guestOsFamilyRule": {
"operator": "string",
"value": "string"
},
"labelSelectorRules": [
{
"operator": "string",
"ruleKey": "string",
"values": [
"string"
]
}
]
}
}
],
"workloadPolicyRule": {
"guestOsRule": {
"operator": "string",
"value": "string"
},
"guestOsFamilyRule": {
"operator": "string",
"value": "string"
},
"labelSelectorRules": [
{
"operator": "string",
"ruleKey": "string",
"values": [
"string"
]
}
]
}
},
"compatibleRegionZones": [
{
"region": {
"name": "string",
"id": "string"
},
"zones": [
{
"name": "string",
"id": "string"
}
]
}
],
"creationStatus": "string",
"creationTime": "string",
"syncedToVCenters": false
}
]
}
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Modern"}]
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/regions/{regionUrn}/infraPolicies?page=value&pageSize=v
Availability
Added in 9.1.0
On This Page
Regions Operations
GET
Query Regions
POST
Create Region
GET
Get Region
PUT
Update Region
DELETE
Delete Region
GET
Get Metadata
POST
Create Metadata Entry
PUT
Replace Metadata Entries
GET
Get Metadata Entry
PUT
Update Metadata Entry
DELETE
Delete Metadata Entry
GET
Get Ns Compatible Zones
GET
Query Region Guest Operating Systems
GET
Get Region Infra Policies